# $Revision: 1.5 $, $Date: 2002/06/23 18:35:27 $
Summary:	Quick access toolbar for recently used preferences
Summary(pl):	Pasek narzdziowy szyblkiego dostpu do najczciej uywanych ustawie
Name:		mozilla-addon-prefbar
%define		_realname	prefbar
Version:	1.0
Release:	2
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://xulplanet.com/downloads/applications/prefbar/%{_realname}.xpi
Source1:	%{_realname}-installed-chrome.txt
URL:		http://xulplanet.com/downloads/view.cgi?category=applications&view=prefbar
BuildRequires:	unzip
BuildArch:	noarch
Requires:	mozilla >= 1.0-7
BuildRoot:	%{tmpdir}/%{_realname}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_chromedir	%{_libdir}/mozilla/chrome

%description
Quick access toolbar for recently used items: showing images, setting
up proxy, enabling Java and JavaScript etc.

%description -l pl
Pasek narzdziowy szybkiego dostpu do najczciej uywanych ustawie
tj.  pokazywanie obrazkw, korzystanie z proxy, wczanie Java i JS
itd.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

unzip %{SOURCE0} -d $RPM_BUILD_ROOT%{_chromedir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_chromedir}

%post
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%postun
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_realname}.jar
%{_chromedir}/%{_realname}-installed-chrome.txt

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mozilla-addon-prefbar.spec,v $
Revision 1.5  2002/06/23 18:35:27  kloczek
- make package as noarch,
- simplifications in %post/%postun.

Revision 1.4  2002/06/23 16:32:00  adgor
- Typo in %%postun

Revision 1.3  2002/06/23 16:30:38  adgor
- Corrected %%post & %%postun
- Requires: mozilla >= 1.0-7
- Release 2

Revision 1.2  2002/06/22 23:20:39  qboosh
- cleanups and cosmetics, added en description

Revision 1.1  2002/06/21 14:51:22  jojoro
- initial release
